/*
 * Weather Source History API
 * Daily and hourly historical weather data for latitude/longitude points, Zip/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source History API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package io.swagger.client.model;

import java.util.Objects;
import java.util.Arrays;
import io.swagger.v3.oas.annotations.media.Schema;
import com.google.gson.annotations.SerializedName;
import java.io.IOException;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * The OnPoint™ grid on which the resource exists.
 */
@JsonAdapter(Grid.Adapter.class)
public enum Grid {
  GLOBAL_GRID("GLOBAL_GRID"),
  NORTH_AMERICA_GRID("NORTH_AMERICA_GRID");

  private String value;

  Grid(String value) {
    this.value = value;
  }

  public String getValue() {
    return value;
  }

  @Override
  public String toString() {
    return String.valueOf(value);
  }

  public static Grid fromValue(String text) {
    for (Grid b : Grid.values()) {
      if (String.valueOf(b.value).equals(text)) {
        return b;
      }
    }
    return null;
  }

  public static class Adapter extends TypeAdapter<Grid> {
    @Override
    public void write(final JsonWriter jsonWriter, final Grid enumeration) throws IOException {
      jsonWriter.value(enumeration.getValue());
    }

    @Override
    public Grid read(final JsonReader jsonReader) throws IOException {
      String value = jsonReader.nextString();
      return Grid.fromValue(String.valueOf(value));
    }
  }
}
