/*
 * Weather Source History API
 * Daily and hourly historical weather data for latitude/longitude points, Zip/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source History API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package io.swagger.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.IOException;
import org.threeten.bp.LocalDate;
/**
 * A daily weather history object.
 */
@Schema(description = "A daily weather history object.")
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2020-04-29T18:32:46.781Z[GMT]")
public class HistoryDayObj {
  @SerializedName("date")
  private LocalDate date = null;

  @SerializedName("provisionalFlag")
  private Boolean provisionalFlag = null;

  @SerializedName("cldCvrMin")
  private Float cldCvrMin = null;

  @SerializedName("cldCvrAvg")
  private Float cldCvrAvg = null;

  @SerializedName("cldCvrMax")
  private Float cldCvrMax = null;

  @SerializedName("dewPtMin")
  private Float dewPtMin = null;

  @SerializedName("dewPtAvg")
  private Float dewPtAvg = null;

  @SerializedName("dewPtMax")
  private Float dewPtMax = null;

  @SerializedName("feelsLikeMin")
  private Float feelsLikeMin = null;

  @SerializedName("feelsLikeAvg")
  private Float feelsLikeAvg = null;

  @SerializedName("feelsLikeMax")
  private Float feelsLikeMax = null;

  @SerializedName("heatIndexMin")
  private Float heatIndexMin = null;

  @SerializedName("heatIndexAvg")
  private Float heatIndexAvg = null;

  @SerializedName("heatIndexMax")
  private Float heatIndexMax = null;

  @SerializedName("mslPresMin")
  private Float mslPresMin = null;

  @SerializedName("mslPresAvg")
  private Float mslPresAvg = null;

  @SerializedName("mslPresMax")
  private Float mslPresMax = null;

  @SerializedName("precip")
  private Float precip = null;

  @SerializedName("presTendMin")
  private Float presTendMin = null;

  @SerializedName("presTendAvg")
  private Float presTendAvg = null;

  @SerializedName("presTendMax")
  private Float presTendMax = null;

  @SerializedName("radSolarMin")
  private Float radSolarMin = null;

  @SerializedName("radSolarAvg")
  private Float radSolarAvg = null;

  @SerializedName("radSolarMax")
  private Float radSolarMax = null;

  @SerializedName("radSolarTot")
  private Float radSolarTot = null;

  @SerializedName("relHumMin")
  private Float relHumMin = null;

  @SerializedName("relHumAvg")
  private Float relHumAvg = null;

  @SerializedName("relHumMax")
  private Float relHumMax = null;

  @SerializedName("sfcPresMin")
  private Float sfcPresMin = null;

  @SerializedName("sfcPresAvg")
  private Float sfcPresAvg = null;

  @SerializedName("sfcPresMax")
  private Float sfcPresMax = null;

  @SerializedName("snowDepth")
  private Float snowDepth = null;

  @SerializedName("snowfall")
  private Float snowfall = null;

  @SerializedName("spcHumMin")
  private Float spcHumMin = null;

  @SerializedName("spcHumAvg")
  private Float spcHumAvg = null;

  @SerializedName("spcHumMax")
  private Float spcHumMax = null;

  @SerializedName("tempMin")
  private Float tempMin = null;

  @SerializedName("tempAvg")
  private Float tempAvg = null;

  @SerializedName("tempMax")
  private Float tempMax = null;

  @SerializedName("visMin")
  private Float visMin = null;

  @SerializedName("visAvg")
  private Float visAvg = null;

  @SerializedName("visMax")
  private Float visMax = null;

  @SerializedName("wetBulbMin")
  private Float wetBulbMin = null;

  @SerializedName("wetBulbAvg")
  private Float wetBulbAvg = null;

  @SerializedName("wetBulbMax")
  private Float wetBulbMax = null;

  @SerializedName("windChillMin")
  private Float windChillMin = null;

  @SerializedName("windChillAvg")
  private Float windChillAvg = null;

  @SerializedName("windChillMax")
  private Float windChillMax = null;

  @SerializedName("windDirAvg")
  private Float windDirAvg = null;

  @SerializedName("windDir80mAvg")
  private Float windDir80mAvg = null;

  @SerializedName("windDir100mAvg")
  private Float windDir100mAvg = null;

  @SerializedName("windSpdMin")
  private Float windSpdMin = null;

  @SerializedName("windSpdAvg")
  private Float windSpdAvg = null;

  @SerializedName("windSpdMax")
  private Float windSpdMax = null;

  @SerializedName("windSpd80mMin")
  private Float windSpd80mMin = null;

  @SerializedName("windSpd80mAvg")
  private Float windSpd80mAvg = null;

  @SerializedName("windSpd80mMax")
  private Float windSpd80mMax = null;

  @SerializedName("windSpd100mMin")
  private Float windSpd100mMin = null;

  @SerializedName("windSpd100mAvg")
  private Float windSpd100mAvg = null;

  @SerializedName("windSpd100mMax")
  private Float windSpd100mMax = null;

  @SerializedName("precipHourCnt")
  private Integer precipHourCnt = null;

  @SerializedName("snowfallHourCnt")
  private Integer snowfallHourCnt = null;

  @SerializedName("freezingRainFlagCnt")
  private Integer freezingRainFlagCnt = null;

  @SerializedName("icePelletsFlagCnt")
  private Integer icePelletsFlagCnt = null;

  @SerializedName("rainFlagCnt")
  private Integer rainFlagCnt = null;

  @SerializedName("snowFlagCnt")
  private Integer snowFlagCnt = null;

  public HistoryDayObj date(LocalDate date) {
    this.date = date;
    return this;
  }

   /**
   * Get date
   * @return date
  **/
  @Schema(required = true, description = "")
  public LocalDate getDate() {
    return date;
  }

  public void setDate(LocalDate date) {
    this.date = date;
  }

  public HistoryDayObj provisionalFlag(Boolean provisionalFlag) {
    this.provisionalFlag = provisionalFlag;
    return this;
  }

   /**
   * Get provisionalFlag
   * @return provisionalFlag
  **/
  @Schema(description = "")
  public Boolean getProvisionalFlag() {
    return provisionalFlag;
  }

  public void setProvisionalFlag(Boolean provisionalFlag) {
    this.provisionalFlag = provisionalFlag;
  }

  public HistoryDayObj cldCvrMin(Float cldCvrMin) {
    this.cldCvrMin = cldCvrMin;
    return this;
  }

   /**
   * Get cldCvrMin
   * @return cldCvrMin
  **/
  @Schema(description = "")
  public Float getCldCvrMin() {
    return cldCvrMin;
  }

  public void setCldCvrMin(Float cldCvrMin) {
    this.cldCvrMin = cldCvrMin;
  }

  public HistoryDayObj cldCvrAvg(Float cldCvrAvg) {
    this.cldCvrAvg = cldCvrAvg;
    return this;
  }

   /**
   * Get cldCvrAvg
   * @return cldCvrAvg
  **/
  @Schema(description = "")
  public Float getCldCvrAvg() {
    return cldCvrAvg;
  }

  public void setCldCvrAvg(Float cldCvrAvg) {
    this.cldCvrAvg = cldCvrAvg;
  }

  public HistoryDayObj cldCvrMax(Float cldCvrMax) {
    this.cldCvrMax = cldCvrMax;
    return this;
  }

   /**
   * Get cldCvrMax
   * @return cldCvrMax
  **/
  @Schema(description = "")
  public Float getCldCvrMax() {
    return cldCvrMax;
  }

  public void setCldCvrMax(Float cldCvrMax) {
    this.cldCvrMax = cldCvrMax;
  }

  public HistoryDayObj dewPtMin(Float dewPtMin) {
    this.dewPtMin = dewPtMin;
    return this;
  }

   /**
   * Get dewPtMin
   * @return dewPtMin
  **/
  @Schema(description = "")
  public Float getDewPtMin() {
    return dewPtMin;
  }

  public void setDewPtMin(Float dewPtMin) {
    this.dewPtMin = dewPtMin;
  }

  public HistoryDayObj dewPtAvg(Float dewPtAvg) {
    this.dewPtAvg = dewPtAvg;
    return this;
  }

   /**
   * Get dewPtAvg
   * @return dewPtAvg
  **/
  @Schema(description = "")
  public Float getDewPtAvg() {
    return dewPtAvg;
  }

  public void setDewPtAvg(Float dewPtAvg) {
    this.dewPtAvg = dewPtAvg;
  }

  public HistoryDayObj dewPtMax(Float dewPtMax) {
    this.dewPtMax = dewPtMax;
    return this;
  }

   /**
   * Get dewPtMax
   * @return dewPtMax
  **/
  @Schema(description = "")
  public Float getDewPtMax() {
    return dewPtMax;
  }

  public void setDewPtMax(Float dewPtMax) {
    this.dewPtMax = dewPtMax;
  }

  public HistoryDayObj feelsLikeMin(Float feelsLikeMin) {
    this.feelsLikeMin = feelsLikeMin;
    return this;
  }

   /**
   * Get feelsLikeMin
   * @return feelsLikeMin
  **/
  @Schema(description = "")
  public Float getFeelsLikeMin() {
    return feelsLikeMin;
  }

  public void setFeelsLikeMin(Float feelsLikeMin) {
    this.feelsLikeMin = feelsLikeMin;
  }

  public HistoryDayObj feelsLikeAvg(Float feelsLikeAvg) {
    this.feelsLikeAvg = feelsLikeAvg;
    return this;
  }

   /**
   * Get feelsLikeAvg
   * @return feelsLikeAvg
  **/
  @Schema(description = "")
  public Float getFeelsLikeAvg() {
    return feelsLikeAvg;
  }

  public void setFeelsLikeAvg(Float feelsLikeAvg) {
    this.feelsLikeAvg = feelsLikeAvg;
  }

  public HistoryDayObj feelsLikeMax(Float feelsLikeMax) {
    this.feelsLikeMax = feelsLikeMax;
    return this;
  }

   /**
   * Get feelsLikeMax
   * @return feelsLikeMax
  **/
  @Schema(description = "")
  public Float getFeelsLikeMax() {
    return feelsLikeMax;
  }

  public void setFeelsLikeMax(Float feelsLikeMax) {
    this.feelsLikeMax = feelsLikeMax;
  }

  public HistoryDayObj heatIndexMin(Float heatIndexMin) {
    this.heatIndexMin = heatIndexMin;
    return this;
  }

   /**
   * Get heatIndexMin
   * @return heatIndexMin
  **/
  @Schema(description = "")
  public Float getHeatIndexMin() {
    return heatIndexMin;
  }

  public void setHeatIndexMin(Float heatIndexMin) {
    this.heatIndexMin = heatIndexMin;
  }

  public HistoryDayObj heatIndexAvg(Float heatIndexAvg) {
    this.heatIndexAvg = heatIndexAvg;
    return this;
  }

   /**
   * Get heatIndexAvg
   * @return heatIndexAvg
  **/
  @Schema(description = "")
  public Float getHeatIndexAvg() {
    return heatIndexAvg;
  }

  public void setHeatIndexAvg(Float heatIndexAvg) {
    this.heatIndexAvg = heatIndexAvg;
  }

  public HistoryDayObj heatIndexMax(Float heatIndexMax) {
    this.heatIndexMax = heatIndexMax;
    return this;
  }

   /**
   * Get heatIndexMax
   * @return heatIndexMax
  **/
  @Schema(description = "")
  public Float getHeatIndexMax() {
    return heatIndexMax;
  }

  public void setHeatIndexMax(Float heatIndexMax) {
    this.heatIndexMax = heatIndexMax;
  }

  public HistoryDayObj mslPresMin(Float mslPresMin) {
    this.mslPresMin = mslPresMin;
    return this;
  }

   /**
   * Get mslPresMin
   * @return mslPresMin
  **/
  @Schema(description = "")
  public Float getMslPresMin() {
    return mslPresMin;
  }

  public void setMslPresMin(Float mslPresMin) {
    this.mslPresMin = mslPresMin;
  }

  public HistoryDayObj mslPresAvg(Float mslPresAvg) {
    this.mslPresAvg = mslPresAvg;
    return this;
  }

   /**
   * Get mslPresAvg
   * @return mslPresAvg
  **/
  @Schema(description = "")
  public Float getMslPresAvg() {
    return mslPresAvg;
  }

  public void setMslPresAvg(Float mslPresAvg) {
    this.mslPresAvg = mslPresAvg;
  }

  public HistoryDayObj mslPresMax(Float mslPresMax) {
    this.mslPresMax = mslPresMax;
    return this;
  }

   /**
   * Get mslPresMax
   * @return mslPresMax
  **/
  @Schema(description = "")
  public Float getMslPresMax() {
    return mslPresMax;
  }

  public void setMslPresMax(Float mslPresMax) {
    this.mslPresMax = mslPresMax;
  }

  public HistoryDayObj precip(Float precip) {
    this.precip = precip;
    return this;
  }

   /**
   * Get precip
   * @return precip
  **/
  @Schema(description = "")
  public Float getPrecip() {
    return precip;
  }

  public void setPrecip(Float precip) {
    this.precip = precip;
  }

  public HistoryDayObj presTendMin(Float presTendMin) {
    this.presTendMin = presTendMin;
    return this;
  }

   /**
   * Get presTendMin
   * @return presTendMin
  **/
  @Schema(description = "")
  public Float getPresTendMin() {
    return presTendMin;
  }

  public void setPresTendMin(Float presTendMin) {
    this.presTendMin = presTendMin;
  }

  public HistoryDayObj presTendAvg(Float presTendAvg) {
    this.presTendAvg = presTendAvg;
    return this;
  }

   /**
   * Get presTendAvg
   * @return presTendAvg
  **/
  @Schema(description = "")
  public Float getPresTendAvg() {
    return presTendAvg;
  }

  public void setPresTendAvg(Float presTendAvg) {
    this.presTendAvg = presTendAvg;
  }

  public HistoryDayObj presTendMax(Float presTendMax) {
    this.presTendMax = presTendMax;
    return this;
  }

   /**
   * Get presTendMax
   * @return presTendMax
  **/
  @Schema(description = "")
  public Float getPresTendMax() {
    return presTendMax;
  }

  public void setPresTendMax(Float presTendMax) {
    this.presTendMax = presTendMax;
  }

  public HistoryDayObj radSolarMin(Float radSolarMin) {
    this.radSolarMin = radSolarMin;
    return this;
  }

   /**
   * Get radSolarMin
   * @return radSolarMin
  **/
  @Schema(description = "")
  public Float getRadSolarMin() {
    return radSolarMin;
  }

  public void setRadSolarMin(Float radSolarMin) {
    this.radSolarMin = radSolarMin;
  }

  public HistoryDayObj radSolarAvg(Float radSolarAvg) {
    this.radSolarAvg = radSolarAvg;
    return this;
  }

   /**
   * Get radSolarAvg
   * @return radSolarAvg
  **/
  @Schema(description = "")
  public Float getRadSolarAvg() {
    return radSolarAvg;
  }

  public void setRadSolarAvg(Float radSolarAvg) {
    this.radSolarAvg = radSolarAvg;
  }

  public HistoryDayObj radSolarMax(Float radSolarMax) {
    this.radSolarMax = radSolarMax;
    return this;
  }

   /**
   * Get radSolarMax
   * @return radSolarMax
  **/
  @Schema(description = "")
  public Float getRadSolarMax() {
    return radSolarMax;
  }

  public void setRadSolarMax(Float radSolarMax) {
    this.radSolarMax = radSolarMax;
  }

  public HistoryDayObj radSolarTot(Float radSolarTot) {
    this.radSolarTot = radSolarTot;
    return this;
  }

   /**
   * Get radSolarTot
   * @return radSolarTot
  **/
  @Schema(description = "")
  public Float getRadSolarTot() {
    return radSolarTot;
  }

  public void setRadSolarTot(Float radSolarTot) {
    this.radSolarTot = radSolarTot;
  }

  public HistoryDayObj relHumMin(Float relHumMin) {
    this.relHumMin = relHumMin;
    return this;
  }

   /**
   * Get relHumMin
   * @return relHumMin
  **/
  @Schema(description = "")
  public Float getRelHumMin() {
    return relHumMin;
  }

  public void setRelHumMin(Float relHumMin) {
    this.relHumMin = relHumMin;
  }

  public HistoryDayObj relHumAvg(Float relHumAvg) {
    this.relHumAvg = relHumAvg;
    return this;
  }

   /**
   * Get relHumAvg
   * @return relHumAvg
  **/
  @Schema(description = "")
  public Float getRelHumAvg() {
    return relHumAvg;
  }

  public void setRelHumAvg(Float relHumAvg) {
    this.relHumAvg = relHumAvg;
  }

  public HistoryDayObj relHumMax(Float relHumMax) {
    this.relHumMax = relHumMax;
    return this;
  }

   /**
   * Get relHumMax
   * @return relHumMax
  **/
  @Schema(description = "")
  public Float getRelHumMax() {
    return relHumMax;
  }

  public void setRelHumMax(Float relHumMax) {
    this.relHumMax = relHumMax;
  }

  public HistoryDayObj sfcPresMin(Float sfcPresMin) {
    this.sfcPresMin = sfcPresMin;
    return this;
  }

   /**
   * Get sfcPresMin
   * @return sfcPresMin
  **/
  @Schema(description = "")
  public Float getSfcPresMin() {
    return sfcPresMin;
  }

  public void setSfcPresMin(Float sfcPresMin) {
    this.sfcPresMin = sfcPresMin;
  }

  public HistoryDayObj sfcPresAvg(Float sfcPresAvg) {
    this.sfcPresAvg = sfcPresAvg;
    return this;
  }

   /**
   * Get sfcPresAvg
   * @return sfcPresAvg
  **/
  @Schema(description = "")
  public Float getSfcPresAvg() {
    return sfcPresAvg;
  }

  public void setSfcPresAvg(Float sfcPresAvg) {
    this.sfcPresAvg = sfcPresAvg;
  }

  public HistoryDayObj sfcPresMax(Float sfcPresMax) {
    this.sfcPresMax = sfcPresMax;
    return this;
  }

   /**
   * Get sfcPresMax
   * @return sfcPresMax
  **/
  @Schema(description = "")
  public Float getSfcPresMax() {
    return sfcPresMax;
  }

  public void setSfcPresMax(Float sfcPresMax) {
    this.sfcPresMax = sfcPresMax;
  }

  public HistoryDayObj snowDepth(Float snowDepth) {
    this.snowDepth = snowDepth;
    return this;
  }

   /**
   * Get snowDepth
   * @return snowDepth
  **/
  @Schema(description = "")
  public Float getSnowDepth() {
    return snowDepth;
  }

  public void setSnowDepth(Float snowDepth) {
    this.snowDepth = snowDepth;
  }

  public HistoryDayObj snowfall(Float snowfall) {
    this.snowfall = snowfall;
    return this;
  }

   /**
   * Get snowfall
   * @return snowfall
  **/
  @Schema(description = "")
  public Float getSnowfall() {
    return snowfall;
  }

  public void setSnowfall(Float snowfall) {
    this.snowfall = snowfall;
  }

  public HistoryDayObj spcHumMin(Float spcHumMin) {
    this.spcHumMin = spcHumMin;
    return this;
  }

   /**
   * Get spcHumMin
   * @return spcHumMin
  **/
  @Schema(description = "")
  public Float getSpcHumMin() {
    return spcHumMin;
  }

  public void setSpcHumMin(Float spcHumMin) {
    this.spcHumMin = spcHumMin;
  }

  public HistoryDayObj spcHumAvg(Float spcHumAvg) {
    this.spcHumAvg = spcHumAvg;
    return this;
  }

   /**
   * Get spcHumAvg
   * @return spcHumAvg
  **/
  @Schema(description = "")
  public Float getSpcHumAvg() {
    return spcHumAvg;
  }

  public void setSpcHumAvg(Float spcHumAvg) {
    this.spcHumAvg = spcHumAvg;
  }

  public HistoryDayObj spcHumMax(Float spcHumMax) {
    this.spcHumMax = spcHumMax;
    return this;
  }

   /**
   * Get spcHumMax
   * @return spcHumMax
  **/
  @Schema(description = "")
  public Float getSpcHumMax() {
    return spcHumMax;
  }

  public void setSpcHumMax(Float spcHumMax) {
    this.spcHumMax = spcHumMax;
  }

  public HistoryDayObj tempMin(Float tempMin) {
    this.tempMin = tempMin;
    return this;
  }

   /**
   * Get tempMin
   * @return tempMin
  **/
  @Schema(description = "")
  public Float getTempMin() {
    return tempMin;
  }

  public void setTempMin(Float tempMin) {
    this.tempMin = tempMin;
  }

  public HistoryDayObj tempAvg(Float tempAvg) {
    this.tempAvg = tempAvg;
    return this;
  }

   /**
   * Get tempAvg
   * @return tempAvg
  **/
  @Schema(description = "")
  public Float getTempAvg() {
    return tempAvg;
  }

  public void setTempAvg(Float tempAvg) {
    this.tempAvg = tempAvg;
  }

  public HistoryDayObj tempMax(Float tempMax) {
    this.tempMax = tempMax;
    return this;
  }

   /**
   * Get tempMax
   * @return tempMax
  **/
  @Schema(description = "")
  public Float getTempMax() {
    return tempMax;
  }

  public void setTempMax(Float tempMax) {
    this.tempMax = tempMax;
  }

  public HistoryDayObj visMin(Float visMin) {
    this.visMin = visMin;
    return this;
  }

   /**
   * Get visMin
   * @return visMin
  **/
  @Schema(description = "")
  public Float getVisMin() {
    return visMin;
  }

  public void setVisMin(Float visMin) {
    this.visMin = visMin;
  }

  public HistoryDayObj visAvg(Float visAvg) {
    this.visAvg = visAvg;
    return this;
  }

   /**
   * Get visAvg
   * @return visAvg
  **/
  @Schema(description = "")
  public Float getVisAvg() {
    return visAvg;
  }

  public void setVisAvg(Float visAvg) {
    this.visAvg = visAvg;
  }

  public HistoryDayObj visMax(Float visMax) {
    this.visMax = visMax;
    return this;
  }

   /**
   * Get visMax
   * @return visMax
  **/
  @Schema(description = "")
  public Float getVisMax() {
    return visMax;
  }

  public void setVisMax(Float visMax) {
    this.visMax = visMax;
  }

  public HistoryDayObj wetBulbMin(Float wetBulbMin) {
    this.wetBulbMin = wetBulbMin;
    return this;
  }

   /**
   * Get wetBulbMin
   * @return wetBulbMin
  **/
  @Schema(description = "")
  public Float getWetBulbMin() {
    return wetBulbMin;
  }

  public void setWetBulbMin(Float wetBulbMin) {
    this.wetBulbMin = wetBulbMin;
  }

  public HistoryDayObj wetBulbAvg(Float wetBulbAvg) {
    this.wetBulbAvg = wetBulbAvg;
    return this;
  }

   /**
   * Get wetBulbAvg
   * @return wetBulbAvg
  **/
  @Schema(description = "")
  public Float getWetBulbAvg() {
    return wetBulbAvg;
  }

  public void setWetBulbAvg(Float wetBulbAvg) {
    this.wetBulbAvg = wetBulbAvg;
  }

  public HistoryDayObj wetBulbMax(Float wetBulbMax) {
    this.wetBulbMax = wetBulbMax;
    return this;
  }

   /**
   * Get wetBulbMax
   * @return wetBulbMax
  **/
  @Schema(description = "")
  public Float getWetBulbMax() {
    return wetBulbMax;
  }

  public void setWetBulbMax(Float wetBulbMax) {
    this.wetBulbMax = wetBulbMax;
  }

  public HistoryDayObj windChillMin(Float windChillMin) {
    this.windChillMin = windChillMin;
    return this;
  }

   /**
   * Get windChillMin
   * @return windChillMin
  **/
  @Schema(description = "")
  public Float getWindChillMin() {
    return windChillMin;
  }

  public void setWindChillMin(Float windChillMin) {
    this.windChillMin = windChillMin;
  }

  public HistoryDayObj windChillAvg(Float windChillAvg) {
    this.windChillAvg = windChillAvg;
    return this;
  }

   /**
   * Get windChillAvg
   * @return windChillAvg
  **/
  @Schema(description = "")
  public Float getWindChillAvg() {
    return windChillAvg;
  }

  public void setWindChillAvg(Float windChillAvg) {
    this.windChillAvg = windChillAvg;
  }

  public HistoryDayObj windChillMax(Float windChillMax) {
    this.windChillMax = windChillMax;
    return this;
  }

   /**
   * Get windChillMax
   * @return windChillMax
  **/
  @Schema(description = "")
  public Float getWindChillMax() {
    return windChillMax;
  }

  public void setWindChillMax(Float windChillMax) {
    this.windChillMax = windChillMax;
  }

  public HistoryDayObj windDirAvg(Float windDirAvg) {
    this.windDirAvg = windDirAvg;
    return this;
  }

   /**
   * Get windDirAvg
   * @return windDirAvg
  **/
  @Schema(description = "")
  public Float getWindDirAvg() {
    return windDirAvg;
  }

  public void setWindDirAvg(Float windDirAvg) {
    this.windDirAvg = windDirAvg;
  }

  public HistoryDayObj windDir80mAvg(Float windDir80mAvg) {
    this.windDir80mAvg = windDir80mAvg;
    return this;
  }

   /**
   * Get windDir80mAvg
   * @return windDir80mAvg
  **/
  @Schema(description = "")
  public Float getWindDir80mAvg() {
    return windDir80mAvg;
  }

  public void setWindDir80mAvg(Float windDir80mAvg) {
    this.windDir80mAvg = windDir80mAvg;
  }

  public HistoryDayObj windDir100mAvg(Float windDir100mAvg) {
    this.windDir100mAvg = windDir100mAvg;
    return this;
  }

   /**
   * Get windDir100mAvg
   * @return windDir100mAvg
  **/
  @Schema(description = "")
  public Float getWindDir100mAvg() {
    return windDir100mAvg;
  }

  public void setWindDir100mAvg(Float windDir100mAvg) {
    this.windDir100mAvg = windDir100mAvg;
  }

  public HistoryDayObj windSpdMin(Float windSpdMin) {
    this.windSpdMin = windSpdMin;
    return this;
  }

   /**
   * Get windSpdMin
   * @return windSpdMin
  **/
  @Schema(description = "")
  public Float getWindSpdMin() {
    return windSpdMin;
  }

  public void setWindSpdMin(Float windSpdMin) {
    this.windSpdMin = windSpdMin;
  }

  public HistoryDayObj windSpdAvg(Float windSpdAvg) {
    this.windSpdAvg = windSpdAvg;
    return this;
  }

   /**
   * Get windSpdAvg
   * @return windSpdAvg
  **/
  @Schema(description = "")
  public Float getWindSpdAvg() {
    return windSpdAvg;
  }

  public void setWindSpdAvg(Float windSpdAvg) {
    this.windSpdAvg = windSpdAvg;
  }

  public HistoryDayObj windSpdMax(Float windSpdMax) {
    this.windSpdMax = windSpdMax;
    return this;
  }

   /**
   * Get windSpdMax
   * @return windSpdMax
  **/
  @Schema(description = "")
  public Float getWindSpdMax() {
    return windSpdMax;
  }

  public void setWindSpdMax(Float windSpdMax) {
    this.windSpdMax = windSpdMax;
  }

  public HistoryDayObj windSpd80mMin(Float windSpd80mMin) {
    this.windSpd80mMin = windSpd80mMin;
    return this;
  }

   /**
   * Get windSpd80mMin
   * @return windSpd80mMin
  **/
  @Schema(description = "")
  public Float getWindSpd80mMin() {
    return windSpd80mMin;
  }

  public void setWindSpd80mMin(Float windSpd80mMin) {
    this.windSpd80mMin = windSpd80mMin;
  }

  public HistoryDayObj windSpd80mAvg(Float windSpd80mAvg) {
    this.windSpd80mAvg = windSpd80mAvg;
    return this;
  }

   /**
   * Get windSpd80mAvg
   * @return windSpd80mAvg
  **/
  @Schema(description = "")
  public Float getWindSpd80mAvg() {
    return windSpd80mAvg;
  }

  public void setWindSpd80mAvg(Float windSpd80mAvg) {
    this.windSpd80mAvg = windSpd80mAvg;
  }

  public HistoryDayObj windSpd80mMax(Float windSpd80mMax) {
    this.windSpd80mMax = windSpd80mMax;
    return this;
  }

   /**
   * Get windSpd80mMax
   * @return windSpd80mMax
  **/
  @Schema(description = "")
  public Float getWindSpd80mMax() {
    return windSpd80mMax;
  }

  public void setWindSpd80mMax(Float windSpd80mMax) {
    this.windSpd80mMax = windSpd80mMax;
  }

  public HistoryDayObj windSpd100mMin(Float windSpd100mMin) {
    this.windSpd100mMin = windSpd100mMin;
    return this;
  }

   /**
   * Get windSpd100mMin
   * @return windSpd100mMin
  **/
  @Schema(description = "")
  public Float getWindSpd100mMin() {
    return windSpd100mMin;
  }

  public void setWindSpd100mMin(Float windSpd100mMin) {
    this.windSpd100mMin = windSpd100mMin;
  }

  public HistoryDayObj windSpd100mAvg(Float windSpd100mAvg) {
    this.windSpd100mAvg = windSpd100mAvg;
    return this;
  }

   /**
   * Get windSpd100mAvg
   * @return windSpd100mAvg
  **/
  @Schema(description = "")
  public Float getWindSpd100mAvg() {
    return windSpd100mAvg;
  }

  public void setWindSpd100mAvg(Float windSpd100mAvg) {
    this.windSpd100mAvg = windSpd100mAvg;
  }

  public HistoryDayObj windSpd100mMax(Float windSpd100mMax) {
    this.windSpd100mMax = windSpd100mMax;
    return this;
  }

   /**
   * Get windSpd100mMax
   * @return windSpd100mMax
  **/
  @Schema(description = "")
  public Float getWindSpd100mMax() {
    return windSpd100mMax;
  }

  public void setWindSpd100mMax(Float windSpd100mMax) {
    this.windSpd100mMax = windSpd100mMax;
  }

  public HistoryDayObj precipHourCnt(Integer precipHourCnt) {
    this.precipHourCnt = precipHourCnt;
    return this;
  }

   /**
   * Get precipHourCnt
   * @return precipHourCnt
  **/
  @Schema(description = "")
  public Integer getPrecipHourCnt() {
    return precipHourCnt;
  }

  public void setPrecipHourCnt(Integer precipHourCnt) {
    this.precipHourCnt = precipHourCnt;
  }

  public HistoryDayObj snowfallHourCnt(Integer snowfallHourCnt) {
    this.snowfallHourCnt = snowfallHourCnt;
    return this;
  }

   /**
   * Get snowfallHourCnt
   * @return snowfallHourCnt
  **/
  @Schema(description = "")
  public Integer getSnowfallHourCnt() {
    return snowfallHourCnt;
  }

  public void setSnowfallHourCnt(Integer snowfallHourCnt) {
    this.snowfallHourCnt = snowfallHourCnt;
  }

  public HistoryDayObj freezingRainFlagCnt(Integer freezingRainFlagCnt) {
    this.freezingRainFlagCnt = freezingRainFlagCnt;
    return this;
  }

   /**
   * Get freezingRainFlagCnt
   * @return freezingRainFlagCnt
  **/
  @Schema(description = "")
  public Integer getFreezingRainFlagCnt() {
    return freezingRainFlagCnt;
  }

  public void setFreezingRainFlagCnt(Integer freezingRainFlagCnt) {
    this.freezingRainFlagCnt = freezingRainFlagCnt;
  }

  public HistoryDayObj icePelletsFlagCnt(Integer icePelletsFlagCnt) {
    this.icePelletsFlagCnt = icePelletsFlagCnt;
    return this;
  }

   /**
   * Get icePelletsFlagCnt
   * @return icePelletsFlagCnt
  **/
  @Schema(description = "")
  public Integer getIcePelletsFlagCnt() {
    return icePelletsFlagCnt;
  }

  public void setIcePelletsFlagCnt(Integer icePelletsFlagCnt) {
    this.icePelletsFlagCnt = icePelletsFlagCnt;
  }

  public HistoryDayObj rainFlagCnt(Integer rainFlagCnt) {
    this.rainFlagCnt = rainFlagCnt;
    return this;
  }

   /**
   * Get rainFlagCnt
   * @return rainFlagCnt
  **/
  @Schema(description = "")
  public Integer getRainFlagCnt() {
    return rainFlagCnt;
  }

  public void setRainFlagCnt(Integer rainFlagCnt) {
    this.rainFlagCnt = rainFlagCnt;
  }

  public HistoryDayObj snowFlagCnt(Integer snowFlagCnt) {
    this.snowFlagCnt = snowFlagCnt;
    return this;
  }

   /**
   * Get snowFlagCnt
   * @return snowFlagCnt
  **/
  @Schema(description = "")
  public Integer getSnowFlagCnt() {
    return snowFlagCnt;
  }

  public void setSnowFlagCnt(Integer snowFlagCnt) {
    this.snowFlagCnt = snowFlagCnt;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    HistoryDayObj historyDayObj = (HistoryDayObj) o;
    return Objects.equals(this.date, historyDayObj.date) &&
        Objects.equals(this.provisionalFlag, historyDayObj.provisionalFlag) &&
        Objects.equals(this.cldCvrMin, historyDayObj.cldCvrMin) &&
        Objects.equals(this.cldCvrAvg, historyDayObj.cldCvrAvg) &&
        Objects.equals(this.cldCvrMax, historyDayObj.cldCvrMax) &&
        Objects.equals(this.dewPtMin, historyDayObj.dewPtMin) &&
        Objects.equals(this.dewPtAvg, historyDayObj.dewPtAvg) &&
        Objects.equals(this.dewPtMax, historyDayObj.dewPtMax) &&
        Objects.equals(this.feelsLikeMin, historyDayObj.feelsLikeMin) &&
        Objects.equals(this.feelsLikeAvg, historyDayObj.feelsLikeAvg) &&
        Objects.equals(this.feelsLikeMax, historyDayObj.feelsLikeMax) &&
        Objects.equals(this.heatIndexMin, historyDayObj.heatIndexMin) &&
        Objects.equals(this.heatIndexAvg, historyDayObj.heatIndexAvg) &&
        Objects.equals(this.heatIndexMax, historyDayObj.heatIndexMax) &&
        Objects.equals(this.mslPresMin, historyDayObj.mslPresMin) &&
        Objects.equals(this.mslPresAvg, historyDayObj.mslPresAvg) &&
        Objects.equals(this.mslPresMax, historyDayObj.mslPresMax) &&
        Objects.equals(this.precip, historyDayObj.precip) &&
        Objects.equals(this.presTendMin, historyDayObj.presTendMin) &&
        Objects.equals(this.presTendAvg, historyDayObj.presTendAvg) &&
        Objects.equals(this.presTendMax, historyDayObj.presTendMax) &&
        Objects.equals(this.radSolarMin, historyDayObj.radSolarMin) &&
        Objects.equals(this.radSolarAvg, historyDayObj.radSolarAvg) &&
        Objects.equals(this.radSolarMax, historyDayObj.radSolarMax) &&
        Objects.equals(this.radSolarTot, historyDayObj.radSolarTot) &&
        Objects.equals(this.relHumMin, historyDayObj.relHumMin) &&
        Objects.equals(this.relHumAvg, historyDayObj.relHumAvg) &&
        Objects.equals(this.relHumMax, historyDayObj.relHumMax) &&
        Objects.equals(this.sfcPresMin, historyDayObj.sfcPresMin) &&
        Objects.equals(this.sfcPresAvg, historyDayObj.sfcPresAvg) &&
        Objects.equals(this.sfcPresMax, historyDayObj.sfcPresMax) &&
        Objects.equals(this.snowDepth, historyDayObj.snowDepth) &&
        Objects.equals(this.snowfall, historyDayObj.snowfall) &&
        Objects.equals(this.spcHumMin, historyDayObj.spcHumMin) &&
        Objects.equals(this.spcHumAvg, historyDayObj.spcHumAvg) &&
        Objects.equals(this.spcHumMax, historyDayObj.spcHumMax) &&
        Objects.equals(this.tempMin, historyDayObj.tempMin) &&
        Objects.equals(this.tempAvg, historyDayObj.tempAvg) &&
        Objects.equals(this.tempMax, historyDayObj.tempMax) &&
        Objects.equals(this.visMin, historyDayObj.visMin) &&
        Objects.equals(this.visAvg, historyDayObj.visAvg) &&
        Objects.equals(this.visMax, historyDayObj.visMax) &&
        Objects.equals(this.wetBulbMin, historyDayObj.wetBulbMin) &&
        Objects.equals(this.wetBulbAvg, historyDayObj.wetBulbAvg) &&
        Objects.equals(this.wetBulbMax, historyDayObj.wetBulbMax) &&
        Objects.equals(this.windChillMin, historyDayObj.windChillMin) &&
        Objects.equals(this.windChillAvg, historyDayObj.windChillAvg) &&
        Objects.equals(this.windChillMax, historyDayObj.windChillMax) &&
        Objects.equals(this.windDirAvg, historyDayObj.windDirAvg) &&
        Objects.equals(this.windDir80mAvg, historyDayObj.windDir80mAvg) &&
        Objects.equals(this.windDir100mAvg, historyDayObj.windDir100mAvg) &&
        Objects.equals(this.windSpdMin, historyDayObj.windSpdMin) &&
        Objects.equals(this.windSpdAvg, historyDayObj.windSpdAvg) &&
        Objects.equals(this.windSpdMax, historyDayObj.windSpdMax) &&
        Objects.equals(this.windSpd80mMin, historyDayObj.windSpd80mMin) &&
        Objects.equals(this.windSpd80mAvg, historyDayObj.windSpd80mAvg) &&
        Objects.equals(this.windSpd80mMax, historyDayObj.windSpd80mMax) &&
        Objects.equals(this.windSpd100mMin, historyDayObj.windSpd100mMin) &&
        Objects.equals(this.windSpd100mAvg, historyDayObj.windSpd100mAvg) &&
        Objects.equals(this.windSpd100mMax, historyDayObj.windSpd100mMax) &&
        Objects.equals(this.precipHourCnt, historyDayObj.precipHourCnt) &&
        Objects.equals(this.snowfallHourCnt, historyDayObj.snowfallHourCnt) &&
        Objects.equals(this.freezingRainFlagCnt, historyDayObj.freezingRainFlagCnt) &&
        Objects.equals(this.icePelletsFlagCnt, historyDayObj.icePelletsFlagCnt) &&
        Objects.equals(this.rainFlagCnt, historyDayObj.rainFlagCnt) &&
        Objects.equals(this.snowFlagCnt, historyDayObj.snowFlagCnt);
  }

  @Override
  public int hashCode() {
    return Objects.hash(date, provisionalFlag, cldCvrMin, cldCvrAvg, cldCvrMax, dewPtMin, dewPtAvg, dewPtMax, feelsLikeMin, feelsLikeAvg, feelsLikeMax, heatIndexMin, heatIndexAvg, heatIndexMax, mslPresMin, mslPresAvg, mslPresMax, precip, presTendMin, presTendAvg, presTendMax, radSolarMin, radSolarAvg, radSolarMax, radSolarTot, relHumMin, relHumAvg, relHumMax, sfcPresMin, sfcPresAvg, sfcPresMax, snowDepth, snowfall, spcHumMin, spcHumAvg, spcHumMax, tempMin, tempAvg, tempMax, visMin, visAvg, visMax, wetBulbMin, wetBulbAvg, wetBulbMax, windChillMin, windChillAvg, windChillMax, windDirAvg, windDir80mAvg, windDir100mAvg, windSpdMin, windSpdAvg, windSpdMax, windSpd80mMin, windSpd80mAvg, windSpd80mMax, windSpd100mMin, windSpd100mAvg, windSpd100mMax, precipHourCnt, snowfallHourCnt, freezingRainFlagCnt, icePelletsFlagCnt, rainFlagCnt, snowFlagCnt);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class HistoryDayObj {\n");
    
    sb.append("    date: ").append(toIndentedString(date)).append("\n");
    sb.append("    provisionalFlag: ").append(toIndentedString(provisionalFlag)).append("\n");
    sb.append("    cldCvrMin: ").append(toIndentedString(cldCvrMin)).append("\n");
    sb.append("    cldCvrAvg: ").append(toIndentedString(cldCvrAvg)).append("\n");
    sb.append("    cldCvrMax: ").append(toIndentedString(cldCvrMax)).append("\n");
    sb.append("    dewPtMin: ").append(toIndentedString(dewPtMin)).append("\n");
    sb.append("    dewPtAvg: ").append(toIndentedString(dewPtAvg)).append("\n");
    sb.append("    dewPtMax: ").append(toIndentedString(dewPtMax)).append("\n");
    sb.append("    feelsLikeMin: ").append(toIndentedString(feelsLikeMin)).append("\n");
    sb.append("    feelsLikeAvg: ").append(toIndentedString(feelsLikeAvg)).append("\n");
    sb.append("    feelsLikeMax: ").append(toIndentedString(feelsLikeMax)).append("\n");
    sb.append("    heatIndexMin: ").append(toIndentedString(heatIndexMin)).append("\n");
    sb.append("    heatIndexAvg: ").append(toIndentedString(heatIndexAvg)).append("\n");
    sb.append("    heatIndexMax: ").append(toIndentedString(heatIndexMax)).append("\n");
    sb.append("    mslPresMin: ").append(toIndentedString(mslPresMin)).append("\n");
    sb.append("    mslPresAvg: ").append(toIndentedString(mslPresAvg)).append("\n");
    sb.append("    mslPresMax: ").append(toIndentedString(mslPresMax)).append("\n");
    sb.append("    precip: ").append(toIndentedString(precip)).append("\n");
    sb.append("    presTendMin: ").append(toIndentedString(presTendMin)).append("\n");
    sb.append("    presTendAvg: ").append(toIndentedString(presTendAvg)).append("\n");
    sb.append("    presTendMax: ").append(toIndentedString(presTendMax)).append("\n");
    sb.append("    radSolarMin: ").append(toIndentedString(radSolarMin)).append("\n");
    sb.append("    radSolarAvg: ").append(toIndentedString(radSolarAvg)).append("\n");
    sb.append("    radSolarMax: ").append(toIndentedString(radSolarMax)).append("\n");
    sb.append("    radSolarTot: ").append(toIndentedString(radSolarTot)).append("\n");
    sb.append("    relHumMin: ").append(toIndentedString(relHumMin)).append("\n");
    sb.append("    relHumAvg: ").append(toIndentedString(relHumAvg)).append("\n");
    sb.append("    relHumMax: ").append(toIndentedString(relHumMax)).append("\n");
    sb.append("    sfcPresMin: ").append(toIndentedString(sfcPresMin)).append("\n");
    sb.append("    sfcPresAvg: ").append(toIndentedString(sfcPresAvg)).append("\n");
    sb.append("    sfcPresMax: ").append(toIndentedString(sfcPresMax)).append("\n");
    sb.append("    snowDepth: ").append(toIndentedString(snowDepth)).append("\n");
    sb.append("    snowfall: ").append(toIndentedString(snowfall)).append("\n");
    sb.append("    spcHumMin: ").append(toIndentedString(spcHumMin)).append("\n");
    sb.append("    spcHumAvg: ").append(toIndentedString(spcHumAvg)).append("\n");
    sb.append("    spcHumMax: ").append(toIndentedString(spcHumMax)).append("\n");
    sb.append("    tempMin: ").append(toIndentedString(tempMin)).append("\n");
    sb.append("    tempAvg: ").append(toIndentedString(tempAvg)).append("\n");
    sb.append("    tempMax: ").append(toIndentedString(tempMax)).append("\n");
    sb.append("    visMin: ").append(toIndentedString(visMin)).append("\n");
    sb.append("    visAvg: ").append(toIndentedString(visAvg)).append("\n");
    sb.append("    visMax: ").append(toIndentedString(visMax)).append("\n");
    sb.append("    wetBulbMin: ").append(toIndentedString(wetBulbMin)).append("\n");
    sb.append("    wetBulbAvg: ").append(toIndentedString(wetBulbAvg)).append("\n");
    sb.append("    wetBulbMax: ").append(toIndentedString(wetBulbMax)).append("\n");
    sb.append("    windChillMin: ").append(toIndentedString(windChillMin)).append("\n");
    sb.append("    windChillAvg: ").append(toIndentedString(windChillAvg)).append("\n");
    sb.append("    windChillMax: ").append(toIndentedString(windChillMax)).append("\n");
    sb.append("    windDirAvg: ").append(toIndentedString(windDirAvg)).append("\n");
    sb.append("    windDir80mAvg: ").append(toIndentedString(windDir80mAvg)).append("\n");
    sb.append("    windDir100mAvg: ").append(toIndentedString(windDir100mAvg)).append("\n");
    sb.append("    windSpdMin: ").append(toIndentedString(windSpdMin)).append("\n");
    sb.append("    windSpdAvg: ").append(toIndentedString(windSpdAvg)).append("\n");
    sb.append("    windSpdMax: ").append(toIndentedString(windSpdMax)).append("\n");
    sb.append("    windSpd80mMin: ").append(toIndentedString(windSpd80mMin)).append("\n");
    sb.append("    windSpd80mAvg: ").append(toIndentedString(windSpd80mAvg)).append("\n");
    sb.append("    windSpd80mMax: ").append(toIndentedString(windSpd80mMax)).append("\n");
    sb.append("    windSpd100mMin: ").append(toIndentedString(windSpd100mMin)).append("\n");
    sb.append("    windSpd100mAvg: ").append(toIndentedString(windSpd100mAvg)).append("\n");
    sb.append("    windSpd100mMax: ").append(toIndentedString(windSpd100mMax)).append("\n");
    sb.append("    precipHourCnt: ").append(toIndentedString(precipHourCnt)).append("\n");
    sb.append("    snowfallHourCnt: ").append(toIndentedString(snowfallHourCnt)).append("\n");
    sb.append("    freezingRainFlagCnt: ").append(toIndentedString(freezingRainFlagCnt)).append("\n");
    sb.append("    icePelletsFlagCnt: ").append(toIndentedString(icePelletsFlagCnt)).append("\n");
    sb.append("    rainFlagCnt: ").append(toIndentedString(rainFlagCnt)).append("\n");
    sb.append("    snowFlagCnt: ").append(toIndentedString(snowFlagCnt)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
