/*
 * Weather Source History API
 * Daily and hourly historical weather data for latitude/longitude points, Zip/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source History API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package io.swagger.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.client.model.DateRangeObj;
import io.swagger.client.model.DmaObj;
import io.swagger.client.model.FieldListDayObj;
import io.swagger.client.model.HistoryDayArr;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.IOException;
/**
 * Daily Designated Market Area historical weather object
 */
@Schema(description = "Daily Designated Market Area historical weather object")
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2020-04-29T18:32:46.781Z[GMT]")
public class HistoryDmaDayObj {
  @SerializedName("location")
  private DmaObj location = null;

  @SerializedName("dateRange")
  private DateRangeObj dateRange = null;

  @SerializedName("fieldList")
  private FieldListDayObj fieldList = null;

  @SerializedName("history")
  private HistoryDayArr history = null;

  public HistoryDmaDayObj location(DmaObj location) {
    this.location = location;
    return this;
  }

   /**
   * Get location
   * @return location
  **/
  @Schema(required = true, description = "")
  public DmaObj getLocation() {
    return location;
  }

  public void setLocation(DmaObj location) {
    this.location = location;
  }

  public HistoryDmaDayObj dateRange(DateRangeObj dateRange) {
    this.dateRange = dateRange;
    return this;
  }

   /**
   * Get dateRange
   * @return dateRange
  **/
  @Schema(required = true, description = "")
  public DateRangeObj getDateRange() {
    return dateRange;
  }

  public void setDateRange(DateRangeObj dateRange) {
    this.dateRange = dateRange;
  }

  public HistoryDmaDayObj fieldList(FieldListDayObj fieldList) {
    this.fieldList = fieldList;
    return this;
  }

   /**
   * Get fieldList
   * @return fieldList
  **/
  @Schema(required = true, description = "")
  public FieldListDayObj getFieldList() {
    return fieldList;
  }

  public void setFieldList(FieldListDayObj fieldList) {
    this.fieldList = fieldList;
  }

  public HistoryDmaDayObj history(HistoryDayArr history) {
    this.history = history;
    return this;
  }

   /**
   * Get history
   * @return history
  **/
  @Schema(required = true, description = "")
  public HistoryDayArr getHistory() {
    return history;
  }

  public void setHistory(HistoryDayArr history) {
    this.history = history;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    HistoryDmaDayObj historyDmaDayObj = (HistoryDmaDayObj) o;
    return Objects.equals(this.location, historyDmaDayObj.location) &&
        Objects.equals(this.dateRange, historyDmaDayObj.dateRange) &&
        Objects.equals(this.fieldList, historyDmaDayObj.fieldList) &&
        Objects.equals(this.history, historyDmaDayObj.history);
  }

  @Override
  public int hashCode() {
    return Objects.hash(location, dateRange, fieldList, history);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class HistoryDmaDayObj {\n");
    
    sb.append("    location: ").append(toIndentedString(location)).append("\n");
    sb.append("    dateRange: ").append(toIndentedString(dateRange)).append("\n");
    sb.append("    fieldList: ").append(toIndentedString(fieldList)).append("\n");
    sb.append("    history: ").append(toIndentedString(history)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
