/*
 * Weather Source History API
 * Daily and hourly historical weather data for latitude/longitude points, Zip/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source History API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package io.swagger.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.IOException;
import org.threeten.bp.OffsetDateTime;
/**
 * An hourly weather history object.
 */
@Schema(description = "An hourly weather history object.")
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2020-04-29T18:32:46.781Z[GMT]")
public class HistoryHourObj {
  @SerializedName("timestamp")
  private OffsetDateTime timestamp = null;

  @SerializedName("provisionalFlag")
  private Boolean provisionalFlag = null;

  @SerializedName("cldCvr")
  private Float cldCvr = null;

  @SerializedName("dewPt")
  private Float dewPt = null;

  @SerializedName("feelsLike")
  private Float feelsLike = null;

  @SerializedName("heatIndex")
  private Float heatIndex = null;

  @SerializedName("mslPres")
  private Float mslPres = null;

  @SerializedName("precip")
  private Float precip = null;

  @SerializedName("presTend")
  private Float presTend = null;

  @SerializedName("radSolar")
  private Float radSolar = null;

  @SerializedName("relHum")
  private Float relHum = null;

  @SerializedName("sfcPres")
  private Float sfcPres = null;

  @SerializedName("snowfall")
  private Float snowfall = null;

  @SerializedName("spcHum")
  private Float spcHum = null;

  @SerializedName("temp")
  private Float temp = null;

  @SerializedName("vis")
  private Float vis = null;

  @SerializedName("wetBulb")
  private Float wetBulb = null;

  @SerializedName("windChill")
  private Float windChill = null;

  @SerializedName("windDir")
  private Float windDir = null;

  @SerializedName("windDir80m")
  private Float windDir80m = null;

  @SerializedName("windDir100m")
  private Float windDir100m = null;

  @SerializedName("windSpd")
  private Float windSpd = null;

  @SerializedName("windSpd80m")
  private Float windSpd80m = null;

  @SerializedName("windSpd100m")
  private Float windSpd100m = null;

  @SerializedName("freezingRainFlag")
  private Boolean freezingRainFlag = null;

  @SerializedName("icePelletsFlag")
  private Boolean icePelletsFlag = null;

  @SerializedName("rainFlag")
  private Boolean rainFlag = null;

  @SerializedName("snowFlag")
  private Boolean snowFlag = null;

  public HistoryHourObj timestamp(OffsetDateTime timestamp) {
    this.timestamp = timestamp;
    return this;
  }

   /**
   * Get timestamp
   * @return timestamp
  **/
  @Schema(required = true, description = "")
  public OffsetDateTime getTimestamp() {
    return timestamp;
  }

  public void setTimestamp(OffsetDateTime timestamp) {
    this.timestamp = timestamp;
  }

  public HistoryHourObj provisionalFlag(Boolean provisionalFlag) {
    this.provisionalFlag = provisionalFlag;
    return this;
  }

   /**
   * Get provisionalFlag
   * @return provisionalFlag
  **/
  @Schema(description = "")
  public Boolean getProvisionalFlag() {
    return provisionalFlag;
  }

  public void setProvisionalFlag(Boolean provisionalFlag) {
    this.provisionalFlag = provisionalFlag;
  }

  public HistoryHourObj cldCvr(Float cldCvr) {
    this.cldCvr = cldCvr;
    return this;
  }

   /**
   * Get cldCvr
   * @return cldCvr
  **/
  @Schema(description = "")
  public Float getCldCvr() {
    return cldCvr;
  }

  public void setCldCvr(Float cldCvr) {
    this.cldCvr = cldCvr;
  }

  public HistoryHourObj dewPt(Float dewPt) {
    this.dewPt = dewPt;
    return this;
  }

   /**
   * Get dewPt
   * @return dewPt
  **/
  @Schema(description = "")
  public Float getDewPt() {
    return dewPt;
  }

  public void setDewPt(Float dewPt) {
    this.dewPt = dewPt;
  }

  public HistoryHourObj feelsLike(Float feelsLike) {
    this.feelsLike = feelsLike;
    return this;
  }

   /**
   * Get feelsLike
   * @return feelsLike
  **/
  @Schema(description = "")
  public Float getFeelsLike() {
    return feelsLike;
  }

  public void setFeelsLike(Float feelsLike) {
    this.feelsLike = feelsLike;
  }

  public HistoryHourObj heatIndex(Float heatIndex) {
    this.heatIndex = heatIndex;
    return this;
  }

   /**
   * Get heatIndex
   * @return heatIndex
  **/
  @Schema(description = "")
  public Float getHeatIndex() {
    return heatIndex;
  }

  public void setHeatIndex(Float heatIndex) {
    this.heatIndex = heatIndex;
  }

  public HistoryHourObj mslPres(Float mslPres) {
    this.mslPres = mslPres;
    return this;
  }

   /**
   * Get mslPres
   * @return mslPres
  **/
  @Schema(description = "")
  public Float getMslPres() {
    return mslPres;
  }

  public void setMslPres(Float mslPres) {
    this.mslPres = mslPres;
  }

  public HistoryHourObj precip(Float precip) {
    this.precip = precip;
    return this;
  }

   /**
   * Get precip
   * @return precip
  **/
  @Schema(description = "")
  public Float getPrecip() {
    return precip;
  }

  public void setPrecip(Float precip) {
    this.precip = precip;
  }

  public HistoryHourObj presTend(Float presTend) {
    this.presTend = presTend;
    return this;
  }

   /**
   * Get presTend
   * @return presTend
  **/
  @Schema(description = "")
  public Float getPresTend() {
    return presTend;
  }

  public void setPresTend(Float presTend) {
    this.presTend = presTend;
  }

  public HistoryHourObj radSolar(Float radSolar) {
    this.radSolar = radSolar;
    return this;
  }

   /**
   * Get radSolar
   * @return radSolar
  **/
  @Schema(description = "")
  public Float getRadSolar() {
    return radSolar;
  }

  public void setRadSolar(Float radSolar) {
    this.radSolar = radSolar;
  }

  public HistoryHourObj relHum(Float relHum) {
    this.relHum = relHum;
    return this;
  }

   /**
   * Get relHum
   * @return relHum
  **/
  @Schema(description = "")
  public Float getRelHum() {
    return relHum;
  }

  public void setRelHum(Float relHum) {
    this.relHum = relHum;
  }

  public HistoryHourObj sfcPres(Float sfcPres) {
    this.sfcPres = sfcPres;
    return this;
  }

   /**
   * Get sfcPres
   * @return sfcPres
  **/
  @Schema(description = "")
  public Float getSfcPres() {
    return sfcPres;
  }

  public void setSfcPres(Float sfcPres) {
    this.sfcPres = sfcPres;
  }

  public HistoryHourObj snowfall(Float snowfall) {
    this.snowfall = snowfall;
    return this;
  }

   /**
   * Get snowfall
   * @return snowfall
  **/
  @Schema(description = "")
  public Float getSnowfall() {
    return snowfall;
  }

  public void setSnowfall(Float snowfall) {
    this.snowfall = snowfall;
  }

  public HistoryHourObj spcHum(Float spcHum) {
    this.spcHum = spcHum;
    return this;
  }

   /**
   * Get spcHum
   * @return spcHum
  **/
  @Schema(description = "")
  public Float getSpcHum() {
    return spcHum;
  }

  public void setSpcHum(Float spcHum) {
    this.spcHum = spcHum;
  }

  public HistoryHourObj temp(Float temp) {
    this.temp = temp;
    return this;
  }

   /**
   * Get temp
   * @return temp
  **/
  @Schema(description = "")
  public Float getTemp() {
    return temp;
  }

  public void setTemp(Float temp) {
    this.temp = temp;
  }

  public HistoryHourObj vis(Float vis) {
    this.vis = vis;
    return this;
  }

   /**
   * Get vis
   * @return vis
  **/
  @Schema(description = "")
  public Float getVis() {
    return vis;
  }

  public void setVis(Float vis) {
    this.vis = vis;
  }

  public HistoryHourObj wetBulb(Float wetBulb) {
    this.wetBulb = wetBulb;
    return this;
  }

   /**
   * Get wetBulb
   * @return wetBulb
  **/
  @Schema(description = "")
  public Float getWetBulb() {
    return wetBulb;
  }

  public void setWetBulb(Float wetBulb) {
    this.wetBulb = wetBulb;
  }

  public HistoryHourObj windChill(Float windChill) {
    this.windChill = windChill;
    return this;
  }

   /**
   * Get windChill
   * @return windChill
  **/
  @Schema(description = "")
  public Float getWindChill() {
    return windChill;
  }

  public void setWindChill(Float windChill) {
    this.windChill = windChill;
  }

  public HistoryHourObj windDir(Float windDir) {
    this.windDir = windDir;
    return this;
  }

   /**
   * Get windDir
   * @return windDir
  **/
  @Schema(description = "")
  public Float getWindDir() {
    return windDir;
  }

  public void setWindDir(Float windDir) {
    this.windDir = windDir;
  }

  public HistoryHourObj windDir80m(Float windDir80m) {
    this.windDir80m = windDir80m;
    return this;
  }

   /**
   * Get windDir80m
   * @return windDir80m
  **/
  @Schema(description = "")
  public Float getWindDir80m() {
    return windDir80m;
  }

  public void setWindDir80m(Float windDir80m) {
    this.windDir80m = windDir80m;
  }

  public HistoryHourObj windDir100m(Float windDir100m) {
    this.windDir100m = windDir100m;
    return this;
  }

   /**
   * Get windDir100m
   * @return windDir100m
  **/
  @Schema(description = "")
  public Float getWindDir100m() {
    return windDir100m;
  }

  public void setWindDir100m(Float windDir100m) {
    this.windDir100m = windDir100m;
  }

  public HistoryHourObj windSpd(Float windSpd) {
    this.windSpd = windSpd;
    return this;
  }

   /**
   * Get windSpd
   * @return windSpd
  **/
  @Schema(description = "")
  public Float getWindSpd() {
    return windSpd;
  }

  public void setWindSpd(Float windSpd) {
    this.windSpd = windSpd;
  }

  public HistoryHourObj windSpd80m(Float windSpd80m) {
    this.windSpd80m = windSpd80m;
    return this;
  }

   /**
   * Get windSpd80m
   * @return windSpd80m
  **/
  @Schema(description = "")
  public Float getWindSpd80m() {
    return windSpd80m;
  }

  public void setWindSpd80m(Float windSpd80m) {
    this.windSpd80m = windSpd80m;
  }

  public HistoryHourObj windSpd100m(Float windSpd100m) {
    this.windSpd100m = windSpd100m;
    return this;
  }

   /**
   * Get windSpd100m
   * @return windSpd100m
  **/
  @Schema(description = "")
  public Float getWindSpd100m() {
    return windSpd100m;
  }

  public void setWindSpd100m(Float windSpd100m) {
    this.windSpd100m = windSpd100m;
  }

  public HistoryHourObj freezingRainFlag(Boolean freezingRainFlag) {
    this.freezingRainFlag = freezingRainFlag;
    return this;
  }

   /**
   * Get freezingRainFlag
   * @return freezingRainFlag
  **/
  @Schema(description = "")
  public Boolean getFreezingRainFlag() {
    return freezingRainFlag;
  }

  public void setFreezingRainFlag(Boolean freezingRainFlag) {
    this.freezingRainFlag = freezingRainFlag;
  }

  public HistoryHourObj icePelletsFlag(Boolean icePelletsFlag) {
    this.icePelletsFlag = icePelletsFlag;
    return this;
  }

   /**
   * Get icePelletsFlag
   * @return icePelletsFlag
  **/
  @Schema(description = "")
  public Boolean getIcePelletsFlag() {
    return icePelletsFlag;
  }

  public void setIcePelletsFlag(Boolean icePelletsFlag) {
    this.icePelletsFlag = icePelletsFlag;
  }

  public HistoryHourObj rainFlag(Boolean rainFlag) {
    this.rainFlag = rainFlag;
    return this;
  }

   /**
   * Get rainFlag
   * @return rainFlag
  **/
  @Schema(description = "")
  public Boolean getRainFlag() {
    return rainFlag;
  }

  public void setRainFlag(Boolean rainFlag) {
    this.rainFlag = rainFlag;
  }

  public HistoryHourObj snowFlag(Boolean snowFlag) {
    this.snowFlag = snowFlag;
    return this;
  }

   /**
   * Get snowFlag
   * @return snowFlag
  **/
  @Schema(description = "")
  public Boolean getSnowFlag() {
    return snowFlag;
  }

  public void setSnowFlag(Boolean snowFlag) {
    this.snowFlag = snowFlag;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    HistoryHourObj historyHourObj = (HistoryHourObj) o;
    return Objects.equals(this.timestamp, historyHourObj.timestamp) &&
        Objects.equals(this.provisionalFlag, historyHourObj.provisionalFlag) &&
        Objects.equals(this.cldCvr, historyHourObj.cldCvr) &&
        Objects.equals(this.dewPt, historyHourObj.dewPt) &&
        Objects.equals(this.feelsLike, historyHourObj.feelsLike) &&
        Objects.equals(this.heatIndex, historyHourObj.heatIndex) &&
        Objects.equals(this.mslPres, historyHourObj.mslPres) &&
        Objects.equals(this.precip, historyHourObj.precip) &&
        Objects.equals(this.presTend, historyHourObj.presTend) &&
        Objects.equals(this.radSolar, historyHourObj.radSolar) &&
        Objects.equals(this.relHum, historyHourObj.relHum) &&
        Objects.equals(this.sfcPres, historyHourObj.sfcPres) &&
        Objects.equals(this.snowfall, historyHourObj.snowfall) &&
        Objects.equals(this.spcHum, historyHourObj.spcHum) &&
        Objects.equals(this.temp, historyHourObj.temp) &&
        Objects.equals(this.vis, historyHourObj.vis) &&
        Objects.equals(this.wetBulb, historyHourObj.wetBulb) &&
        Objects.equals(this.windChill, historyHourObj.windChill) &&
        Objects.equals(this.windDir, historyHourObj.windDir) &&
        Objects.equals(this.windDir80m, historyHourObj.windDir80m) &&
        Objects.equals(this.windDir100m, historyHourObj.windDir100m) &&
        Objects.equals(this.windSpd, historyHourObj.windSpd) &&
        Objects.equals(this.windSpd80m, historyHourObj.windSpd80m) &&
        Objects.equals(this.windSpd100m, historyHourObj.windSpd100m) &&
        Objects.equals(this.freezingRainFlag, historyHourObj.freezingRainFlag) &&
        Objects.equals(this.icePelletsFlag, historyHourObj.icePelletsFlag) &&
        Objects.equals(this.rainFlag, historyHourObj.rainFlag) &&
        Objects.equals(this.snowFlag, historyHourObj.snowFlag);
  }

  @Override
  public int hashCode() {
    return Objects.hash(timestamp, provisionalFlag, cldCvr, dewPt, feelsLike, heatIndex, mslPres, precip, presTend, radSolar, relHum, sfcPres, snowfall, spcHum, temp, vis, wetBulb, windChill, windDir, windDir80m, windDir100m, windSpd, windSpd80m, windSpd100m, freezingRainFlag, icePelletsFlag, rainFlag, snowFlag);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class HistoryHourObj {\n");
    
    sb.append("    timestamp: ").append(toIndentedString(timestamp)).append("\n");
    sb.append("    provisionalFlag: ").append(toIndentedString(provisionalFlag)).append("\n");
    sb.append("    cldCvr: ").append(toIndentedString(cldCvr)).append("\n");
    sb.append("    dewPt: ").append(toIndentedString(dewPt)).append("\n");
    sb.append("    feelsLike: ").append(toIndentedString(feelsLike)).append("\n");
    sb.append("    heatIndex: ").append(toIndentedString(heatIndex)).append("\n");
    sb.append("    mslPres: ").append(toIndentedString(mslPres)).append("\n");
    sb.append("    precip: ").append(toIndentedString(precip)).append("\n");
    sb.append("    presTend: ").append(toIndentedString(presTend)).append("\n");
    sb.append("    radSolar: ").append(toIndentedString(radSolar)).append("\n");
    sb.append("    relHum: ").append(toIndentedString(relHum)).append("\n");
    sb.append("    sfcPres: ").append(toIndentedString(sfcPres)).append("\n");
    sb.append("    snowfall: ").append(toIndentedString(snowfall)).append("\n");
    sb.append("    spcHum: ").append(toIndentedString(spcHum)).append("\n");
    sb.append("    temp: ").append(toIndentedString(temp)).append("\n");
    sb.append("    vis: ").append(toIndentedString(vis)).append("\n");
    sb.append("    wetBulb: ").append(toIndentedString(wetBulb)).append("\n");
    sb.append("    windChill: ").append(toIndentedString(windChill)).append("\n");
    sb.append("    windDir: ").append(toIndentedString(windDir)).append("\n");
    sb.append("    windDir80m: ").append(toIndentedString(windDir80m)).append("\n");
    sb.append("    windDir100m: ").append(toIndentedString(windDir100m)).append("\n");
    sb.append("    windSpd: ").append(toIndentedString(windSpd)).append("\n");
    sb.append("    windSpd80m: ").append(toIndentedString(windSpd80m)).append("\n");
    sb.append("    windSpd100m: ").append(toIndentedString(windSpd100m)).append("\n");
    sb.append("    freezingRainFlag: ").append(toIndentedString(freezingRainFlag)).append("\n");
    sb.append("    icePelletsFlag: ").append(toIndentedString(icePelletsFlag)).append("\n");
    sb.append("    rainFlag: ").append(toIndentedString(rainFlag)).append("\n");
    sb.append("    snowFlag: ").append(toIndentedString(snowFlag)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
