/*
 * Weather Source History API
 * Daily and hourly historical weather data for latitude/longitude points, Zip/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source History API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package io.swagger.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.client.model.FieldListHourObj;
import io.swagger.client.model.HistoryHourArr;
import io.swagger.client.model.PointObj;
import io.swagger.client.model.TimestampRangeObj;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.IOException;
/**
 * Hourly Latitude/Longitude historical weather object
 */
@Schema(description = "Hourly Latitude/Longitude historical weather object")
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2020-04-29T18:32:46.781Z[GMT]")
public class HistoryPointHourObj {
  @SerializedName("location")
  private PointObj location = null;

  @SerializedName("timestampRange")
  private TimestampRangeObj timestampRange = null;

  @SerializedName("fieldList")
  private FieldListHourObj fieldList = null;

  @SerializedName("history")
  private HistoryHourArr history = null;

  public HistoryPointHourObj location(PointObj location) {
    this.location = location;
    return this;
  }

   /**
   * Get location
   * @return location
  **/
  @Schema(required = true, description = "")
  public PointObj getLocation() {
    return location;
  }

  public void setLocation(PointObj location) {
    this.location = location;
  }

  public HistoryPointHourObj timestampRange(TimestampRangeObj timestampRange) {
    this.timestampRange = timestampRange;
    return this;
  }

   /**
   * Get timestampRange
   * @return timestampRange
  **/
  @Schema(required = true, description = "")
  public TimestampRangeObj getTimestampRange() {
    return timestampRange;
  }

  public void setTimestampRange(TimestampRangeObj timestampRange) {
    this.timestampRange = timestampRange;
  }

  public HistoryPointHourObj fieldList(FieldListHourObj fieldList) {
    this.fieldList = fieldList;
    return this;
  }

   /**
   * Get fieldList
   * @return fieldList
  **/
  @Schema(required = true, description = "")
  public FieldListHourObj getFieldList() {
    return fieldList;
  }

  public void setFieldList(FieldListHourObj fieldList) {
    this.fieldList = fieldList;
  }

  public HistoryPointHourObj history(HistoryHourArr history) {
    this.history = history;
    return this;
  }

   /**
   * Get history
   * @return history
  **/
  @Schema(required = true, description = "")
  public HistoryHourArr getHistory() {
    return history;
  }

  public void setHistory(HistoryHourArr history) {
    this.history = history;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    HistoryPointHourObj historyPointHourObj = (HistoryPointHourObj) o;
    return Objects.equals(this.location, historyPointHourObj.location) &&
        Objects.equals(this.timestampRange, historyPointHourObj.timestampRange) &&
        Objects.equals(this.fieldList, historyPointHourObj.fieldList) &&
        Objects.equals(this.history, historyPointHourObj.history);
  }

  @Override
  public int hashCode() {
    return Objects.hash(location, timestampRange, fieldList, history);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class HistoryPointHourObj {\n");
    
    sb.append("    location: ").append(toIndentedString(location)).append("\n");
    sb.append("    timestampRange: ").append(toIndentedString(timestampRange)).append("\n");
    sb.append("    fieldList: ").append(toIndentedString(fieldList)).append("\n");
    sb.append("    history: ").append(toIndentedString(history)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
