/*
 * Weather Source History API
 * Daily and hourly historical weather data for latitude/longitude points, Zip/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source History API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package io.swagger.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.client.model.BoundingPoints;
import io.swagger.client.model.Grid;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.IOException;
/**
 * Metadata object for a postcode
 */
@Schema(description = "Metadata object for a postcode")
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2020-04-29T18:32:46.781Z[GMT]")
public class PointObj {
  @SerializedName("latitude")
  private Float latitude = null;

  @SerializedName("longitude")
  private Float longitude = null;

  @SerializedName("timezone")
  private String timezone = null;

  @SerializedName("countryCode")
  private String countryCode = null;

  @SerializedName("countryName")
  private String countryName = null;

  @SerializedName("subdivCode")
  private String subdivCode = null;

  @SerializedName("subdivName")
  private String subdivName = null;

  @SerializedName("boundingPoints")
  private BoundingPoints boundingPoints = null;

  @SerializedName("grid")
  private Grid grid = null;

  public PointObj latitude(Float latitude) {
    this.latitude = latitude;
    return this;
  }

   /**
   * Get latitude
   * @return latitude
  **/
  @Schema(required = true, description = "")
  public Float getLatitude() {
    return latitude;
  }

  public void setLatitude(Float latitude) {
    this.latitude = latitude;
  }

  public PointObj longitude(Float longitude) {
    this.longitude = longitude;
    return this;
  }

   /**
   * Get longitude
   * @return longitude
  **/
  @Schema(required = true, description = "")
  public Float getLongitude() {
    return longitude;
  }

  public void setLongitude(Float longitude) {
    this.longitude = longitude;
  }

  public PointObj timezone(String timezone) {
    this.timezone = timezone;
    return this;
  }

   /**
   * Get timezone
   * @return timezone
  **/
  @Schema(required = true, description = "")
  public String getTimezone() {
    return timezone;
  }

  public void setTimezone(String timezone) {
    this.timezone = timezone;
  }

  public PointObj countryCode(String countryCode) {
    this.countryCode = countryCode;
    return this;
  }

   /**
   * Get countryCode
   * @return countryCode
  **/
  @Schema(description = "")
  public String getCountryCode() {
    return countryCode;
  }

  public void setCountryCode(String countryCode) {
    this.countryCode = countryCode;
  }

  public PointObj countryName(String countryName) {
    this.countryName = countryName;
    return this;
  }

   /**
   * Get countryName
   * @return countryName
  **/
  @Schema(description = "")
  public String getCountryName() {
    return countryName;
  }

  public void setCountryName(String countryName) {
    this.countryName = countryName;
  }

  public PointObj subdivCode(String subdivCode) {
    this.subdivCode = subdivCode;
    return this;
  }

   /**
   * Get subdivCode
   * @return subdivCode
  **/
  @Schema(description = "")
  public String getSubdivCode() {
    return subdivCode;
  }

  public void setSubdivCode(String subdivCode) {
    this.subdivCode = subdivCode;
  }

  public PointObj subdivName(String subdivName) {
    this.subdivName = subdivName;
    return this;
  }

   /**
   * Get subdivName
   * @return subdivName
  **/
  @Schema(description = "")
  public String getSubdivName() {
    return subdivName;
  }

  public void setSubdivName(String subdivName) {
    this.subdivName = subdivName;
  }

  public PointObj boundingPoints(BoundingPoints boundingPoints) {
    this.boundingPoints = boundingPoints;
    return this;
  }

   /**
   * Get boundingPoints
   * @return boundingPoints
  **/
  @Schema(required = true, description = "")
  public BoundingPoints getBoundingPoints() {
    return boundingPoints;
  }

  public void setBoundingPoints(BoundingPoints boundingPoints) {
    this.boundingPoints = boundingPoints;
  }

  public PointObj grid(Grid grid) {
    this.grid = grid;
    return this;
  }

   /**
   * Get grid
   * @return grid
  **/
  @Schema(required = true, description = "")
  public Grid getGrid() {
    return grid;
  }

  public void setGrid(Grid grid) {
    this.grid = grid;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    PointObj pointObj = (PointObj) o;
    return Objects.equals(this.latitude, pointObj.latitude) &&
        Objects.equals(this.longitude, pointObj.longitude) &&
        Objects.equals(this.timezone, pointObj.timezone) &&
        Objects.equals(this.countryCode, pointObj.countryCode) &&
        Objects.equals(this.countryName, pointObj.countryName) &&
        Objects.equals(this.subdivCode, pointObj.subdivCode) &&
        Objects.equals(this.subdivName, pointObj.subdivName) &&
        Objects.equals(this.boundingPoints, pointObj.boundingPoints) &&
        Objects.equals(this.grid, pointObj.grid);
  }

  @Override
  public int hashCode() {
    return Objects.hash(latitude, longitude, timezone, countryCode, countryName, subdivCode, subdivName, boundingPoints, grid);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class PointObj {\n");
    
    sb.append("    latitude: ").append(toIndentedString(latitude)).append("\n");
    sb.append("    longitude: ").append(toIndentedString(longitude)).append("\n");
    sb.append("    timezone: ").append(toIndentedString(timezone)).append("\n");
    sb.append("    countryCode: ").append(toIndentedString(countryCode)).append("\n");
    sb.append("    countryName: ").append(toIndentedString(countryName)).append("\n");
    sb.append("    subdivCode: ").append(toIndentedString(subdivCode)).append("\n");
    sb.append("    subdivName: ").append(toIndentedString(subdivName)).append("\n");
    sb.append("    boundingPoints: ").append(toIndentedString(boundingPoints)).append("\n");
    sb.append("    grid: ").append(toIndentedString(grid)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
