/*
 * Weather Source History API
 * Daily and hourly historical weather data for latitude/longitude points, Zip/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source History API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package io.swagger.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.IOException;
import org.threeten.bp.OffsetDateTime;
/**
 * A timestamp range object
 */
@Schema(description = "A timestamp range object")
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2020-04-29T18:32:46.781Z[GMT]")
public class TimestampRangeObj {
  @SerializedName("timestampStart")
  private OffsetDateTime timestampStart = null;

  @SerializedName("timestampEnd")
  private OffsetDateTime timestampEnd = null;

  public TimestampRangeObj timestampStart(OffsetDateTime timestampStart) {
    this.timestampStart = timestampStart;
    return this;
  }

   /**
   * Get timestampStart
   * @return timestampStart
  **/
  @Schema(required = true, description = "")
  public OffsetDateTime getTimestampStart() {
    return timestampStart;
  }

  public void setTimestampStart(OffsetDateTime timestampStart) {
    this.timestampStart = timestampStart;
  }

  public TimestampRangeObj timestampEnd(OffsetDateTime timestampEnd) {
    this.timestampEnd = timestampEnd;
    return this;
  }

   /**
   * Get timestampEnd
   * @return timestampEnd
  **/
  @Schema(required = true, description = "")
  public OffsetDateTime getTimestampEnd() {
    return timestampEnd;
  }

  public void setTimestampEnd(OffsetDateTime timestampEnd) {
    this.timestampEnd = timestampEnd;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    TimestampRangeObj timestampRangeObj = (TimestampRangeObj) o;
    return Objects.equals(this.timestampStart, timestampRangeObj.timestampStart) &&
        Objects.equals(this.timestampEnd, timestampRangeObj.timestampEnd);
  }

  @Override
  public int hashCode() {
    return Objects.hash(timestampStart, timestampEnd);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class TimestampRangeObj {\n");
    
    sb.append("    timestampStart: ").append(toIndentedString(timestampStart)).append("\n");
    sb.append("    timestampEnd: ").append(toIndentedString(timestampEnd)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
