/*
 * Weather Source History API
 * Daily and hourly historical weather data for latitude/longitude points, Zip/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source History API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package io.swagger.client.api;

import io.swagger.client.ApiException;
import io.swagger.client.model.ErrorObj;
import io.swagger.client.model.HistoryOnpointDayObj;
import io.swagger.client.model.HistoryOnpointHourObj;
import org.threeten.bp.LocalDate;
import org.threeten.bp.OffsetDateTime;
import org.junit.Test;
import org.junit.Ignore;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * API tests for OnpointsApi
 */
@Ignore
public class OnpointsApiTest {

    private final OnpointsApi api = new OnpointsApi();

    /**
     * A day of weather history for an OnPoint™ point.
     *
     * Returns a single day of historical weather data for an OnPoint™ point.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void onpointsOnpointIdDaysDateGetTest() throws ApiException {
        Integer onpointId = null;
        LocalDate date = null;
        List<String> fields = null;
        String unitScale = null;
        HistoryOnpointDayObj response = api.onpointsOnpointIdDaysDateGet(onpointId, date, fields, unitScale);

        // TODO: test validations
    }
    /**
     * A contiguous range of daily weather history for an OnPoint™ point.
     *
     * Returns a contiguous range of daily historical weather data for an OnPoint™ point.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void onpointsOnpointIdDaysDateStartdateEndGetTest() throws ApiException {
        Integer onpointId = null;
        LocalDate dateStart = null;
        LocalDate dateEnd = null;
        List<String> fields = null;
        String unitScale = null;
        HistoryOnpointDayObj response = api.onpointsOnpointIdDaysDateStartdateEndGet(onpointId, dateStart, dateEnd, fields, unitScale);

        // TODO: test validations
    }
    /**
     * An hour of weather history for an OnPoint™ point.
     *
     * Returns a single hour of historical weather data for an OnPoint™ point.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void onpointsOnpointIdHoursTimestampGetTest() throws ApiException {
        Integer onpointId = null;
        OffsetDateTime timestamp = null;
        List<String> fields = null;
        String unitScale = null;
        HistoryOnpointHourObj response = api.onpointsOnpointIdHoursTimestampGet(onpointId, timestamp, fields, unitScale);

        // TODO: test validations
    }
    /**
     * A contiguous range of hourly weather history for an OnPoint™ point.
     *
     * Returns a contiguous range of hourly historical weather data for an OnPoint™ point.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void onpointsOnpointIdHoursTimestampStarttimestampEndGetTest() throws ApiException {
        Integer onpointId = null;
        OffsetDateTime timestampStart = null;
        OffsetDateTime timestampEnd = null;
        List<String> fields = null;
        String unitScale = null;
        HistoryOnpointHourObj response = api.onpointsOnpointIdHoursTimestampStarttimestampEndGet(onpointId, timestampStart, timestampEnd, fields, unitScale);

        // TODO: test validations
    }
}
